/*
 * Copyright 2011-2012 ancoron.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ancoron.postgresql.test.glassfish;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import org.ancoron.postgresql.jpa.IPNetwork;
import org.ancoron.postgresql.jpa.eclipselink.IPNetworkConverter;
import org.eclipse.persistence.annotations.Convert;
import org.eclipse.persistence.annotations.Converter;

/**
 *
 * @author ancoron
 */
@Entity
@Table(name="test_entity_network")
@Converter(name="netConverter", converterClass=IPNetworkConverter.class)
public class NetworkTestEntity implements Serializable {

    @Id
    @Column(name="c_uuid")
    private String uuid;
    
    @Column(name="c_network", nullable=false)
    @Convert("netConverter")
    private IPNetwork network;

    public NetworkTestEntity() {
    }
    
    public NetworkTestEntity(String net) {
        this.network = new IPNetwork(net);
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public IPNetwork getNetwork() {
        return network;
    }

    public void setNetwork(IPNetwork network) {
        this.network = network;
    }
    
}
